#
# spec file for package maelstrom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           maelstrom
Version:        3.0.6
Release:        4.2
Summary:        High Quality Asteroids Clone
License:        GPL-2.0+ and CC-BY-3.0
Group:          Amusements/Games/Action/Shoot
Url:            http://slouken.libsdl.org/projects/Maelstrom/
Source:         http://slouken.libsdl.org/projects/Maelstrom/src/Maelstrom-3.0.6.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
Source3:        %{name}.appdata.xml
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-COPYING.GPL.patch -- Correct FSF Address
Patch0:         %{name}-3.0.6-COPYING.GPL.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-Maelstrom-netd.c.patch -- Add missing includes
Patch1:         %{name}-3.0.6-Maelstrom-netd.c.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-buttonlist.h.patch -- Fix deprecated code
Patch2:         %{name}-3.0.6-buttonlist.h.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-controls.cpp.patch -- Fix deprecated code
Patch3:         %{name}-3.0.6-controls.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-load.cpp.patch -- Fix deprecated code
Patch4:         %{name}-3.0.6-load.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-maclib_macres.cpp.patch -- Fix deprecated code
Patch5:         %{name}-3.0.6-maclib_macres.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-main.cpp.patch -- Fix deprecated code
Patch6:         %{name}-3.0.6-main.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-myerror.cpp.patch -- Fix deprecated code
Patch7:         %{name}-3.0.6-myerror.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-netlogic_game.cpp.patch -- Fix deprecated code
Patch8:         %{name}-3.0.6-netlogic_game.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-netscore.cpp.patch -- Fix deprecated code
Patch9:         %{name}-3.0.6-netscore.cpp.patch
# PATCH-FIX-OPENSUSE - maelstrom-3.0.6-screenlib_SDL_FrameBuf.cpp.patch -- Fix deprecated code
Patch10:        %{name}-3.0.6-screenlib_SDL_FrameBuf.cpp.patch
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(sdl)
Provides:       Maelstrom = %{version}
Obsoletes:      Maelstrom < %{version}

%description
You are on space patrol. Blast asteroids, fight UFOs, and get extra
weapons. Beware of supernovae and black holes.

A port of the high resolution, fast action Asteroids-style
Mac game Maelstrom originally written by Ambrosia Software.
Unique to this port is a kick-butt network play mode.

%prep
%autosetup -p0 -n Maelstrom-%{version}

# Fix paths
sed -i 's|games/||' configure.in
sed -i 's|@GAME_INSTALLDIR@|$(DESTDIR)@GAME_INSTALLDIR@|g' Makefile.am Makefile.in

%build
AUTOMAKE='automake --foreign' autoreconf -fi
%configure \
  --prefix=%{_datadir} \
  --bindir=%{_prefix}/bin
make %{?_smp_mflags}

%install
%make_install install-binPROGRAMS

# Remove not needed files
rm -rf Docs/Makefile* %{buildroot}%{_datadir}/Maelstrom/Images/Makefile*

# install icon
install -Dm 0644 %{S:1} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# install Desktop file
install -Dm 0644 %{S:2} %{buildroot}%{_datadir}/applications/%{name}.desktop

# install software gallery metadata
install -Dm 0644 %{S:3} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

mkdir -p %{buildroot}%{_localstatedir}/games
mv %{buildroot}%{_datadir}/Maelstrom/Maelstrom-Scores %{buildroot}%{_localstatedir}/games/
ln -sf %{_localstatedir}/games/Maelstrom-Scores %{buildroot}%{_datadir}/Maelstrom/Maelstrom-Scores

%files
%defattr(-,root,root,-)
%doc COPYING* CREDITS Changelog README* Docs/*
%{_bindir}/Maelstrom*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/Maelstrom
%dir %{_localstatedir}/games/
%attr(0664, games, games)%{_localstatedir}/games/Maelstrom-Scores
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Fri Feb 23 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Fri Apr  7 2017 meissner@suse.com
- own dir /var/games as its no longer in filesystem
* Sun Sep 25 2016 mailaender@opensuse.org
- use https://en.opensuse.org/SourceUrls
- add support for https://en.opensuse.org/openSUSE:AppStore
- content license changed http://hg.libsdl.org/Maelstrom/rev/0e3d2ddd9add
* Mon Dec 22 2014 nemysis@gmx.ch
- Use for patch(es) %%{name}-version instead of %%{name}-%%{version}
  and add description
* Tue Nov 18 2014 nemysis@gmx.ch
- Use check for openSUSE %%if 0%%{?suse_version}
- Use BuildRequires pkgconfig() instead of devel packages
- Add BuildRequires for fdupes
- Remove BuildRequires for desktop-file-utils
- Install icon in %%{_datadir}/icons/hicolor/48x48/apps/ instead of
  %%{_datadir}/pixmaps/
* Sun Sep 28 2014 nemysis@gmx.ch
- Change Desktop entry file
- Remove leading article from Summary
- Change URL
- Remove obsolete patches
- Add new patches from Gentoo, Fedora and my port in FreeBSD
- Add patches, correct FSF Address add missing includes
- Add BuildRequires for desktop-file-utils
- Change description
- Fix paths
- Simplify installation handling
- Use install-binPROGRAMS and normal Name for executables Maelstrom
  and Maelstrom-netd
* Mon May 21 2012 joop.boonen@opensuse.org
- Added missing BuildRequires automake
- Cleaned the spec file up
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Mon Mar  5 2007 ssommer@suse.de
- BuildRequires SDL-net-devel
* Fri Jan 27 2006 nadvornik@suse.cz
- fixed BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 29 2005 nadvornik@suse.cz
- added icon [#113659]
* Fri Jul 29 2005 nadvornik@suse.cz
- updated to 3.0.6 [#99428]
* Thu Oct 30 2003 ro@suse.de
- don't build as root
- package according to permissions.secure and call run_permissions
* Sun Aug 10 2003 sndirsch@suse.de
- added desktop file
* Tue Jul 30 2002 kukuk@suse.de
- use group games instead of game
* Wed Feb 13 2002 nadvornik@suse.cz
- added security patch
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Nov 20 2001 nadvornik@suse.cz
- added suse_update_config
* Thu Nov  8 2001 nadvornik@suse.cz
- fixed to compile with new automake
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Wed Jun 20 2001 nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu Apr 19 2001 nadvornik@suse.cz
- fixed cast from pointer to integer
* Mon Mar 26 2001 ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Wed Feb 21 2001 uli@suse.de
- added alsa to neededforbuild (reqd. by new SDL)
* Sun Jan 21 2001 sf@suse.de
- added '#include <string.h>' to make it compile on IA64
* Wed Nov 15 2000 nadvornik@suse.cz
- renamed maelstr -> Maelstrom
* Sun Nov  5 2000 kukuk@suse.de
- adjust neededforbuild
* Mon Oct  9 2000 nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Jun  2 2000 nadvornik@suse.cz
- added docs
- binary-> /usr/games, data-> /usr/share/games, score-> /var/games
- fixed permissons
* Mon May 22 2000 nadvornik@suse.cz
- changed group
* Thu Mar 16 2000 nadvornik@suse.cz
- update to version 3.0.1
- added BuildRoot
* Mon Jan 24 2000 ro@suse.de
- fixed to compile
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct  5 1998 ro@suse.de
- vga_framebuf.c include termios.h for glibc
  Fri Oct 17 16:08:55 MEST 1997
  - now works with (a)build
* Sun Jun  8 1997 rj@suse.de
- new package version 1.4.3
